import { RdDItem } from "../item.js";

export class RdDItemPoison extends RdDItem {

  static get defaultIcon() {
    return "systems/foundryvtt-reve-de-dragon/icons/maladies_venins/venin.webp";
  }

  async calculerFinPeriodeTemporel(debut) {
    return await debut.addPeriode(this.system.periode.nombre, this.system.periode.unite) ;
  }

  async onFinTemporel() {
    // fin de période
    await this.prolongerPeriode();
  }
}